package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcCheck;

/**
 * cmc项目核算Service接口
 * 
 * @author cmc
 * @date 2025-05-13
 */
public interface ICmcCheckService 
{
    /**
     * 查询cmc项目核算
     * 
     * @param checkId cmc项目核算主键
     * @return cmc项目核算
     */
    public CmcCheck selectCmcCheckByCheckId(String checkId);

    /**
     * 查询cmc项目核算列表
     * 
     * @param cmcCheck cmc项目核算
     * @return cmc项目核算集合
     */
    public List<CmcCheck> selectCmcCheckList(CmcCheck cmcCheck);

    /**
     * 新增cmc项目核算
     * 
     * @param cmcCheck cmc项目核算
     * @return 结果
     */
    public int insertCmcCheck(CmcCheck cmcCheck);

    /**
     * 修改cmc项目核算
     * 
     * @param cmcCheck cmc项目核算
     * @return 结果
     */
    public int updateCmcCheck(CmcCheck cmcCheck);

    /**
     * 批量删除cmc项目核算
     * 
     * @param checkIds 需要删除的cmc项目核算主键集合
     * @return 结果
     */
    public int deleteCmcCheckByCheckIds(String[] checkIds);

    /**
     * 删除cmc项目核算信息
     * 
     * @param checkId cmc项目核算主键
     * @return 结果
     */
    public int deleteCmcCheckByCheckId(String checkId);
}
